/*
 * This file implements get_data_type.
 */

#include "DataType.hpp"
#include "atc.hpp"

namespace atc {
	
	template<> DataType get_data_type<uint8_t>() { return DataType::uint8; }
	template<> DataType get_data_type<uint16_t>() { return DataType::uint16; }
	template<> DataType get_data_type<uint32_t>() { return DataType::uint32; }
	template<> DataType get_data_type<uint64_t>() { return DataType::uint64; }
	template<> DataType get_data_type<int8_t>() { return DataType::int8; }
	template<> DataType get_data_type<int16_t>() { return DataType::int16; }
	template<> DataType get_data_type<int32_t>() { return DataType::int32; }
	template<> DataType get_data_type<int64_t>() { return DataType::int64; }
	template<> DataType get_data_type<float>() { return DataType::float32; }
	template<> DataType get_data_type<double>() { return DataType::float64; }
	
}
